.modal-overlay {
    position: fixed;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 3000;
    padding: 10px;
    overflow-y: auto;
    background-color: rgba(0, 0, 0, 0.8);
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    width: 100%;
    opacity: 0;
    visibility: hidden;
    transition: all 0.3s ease-in-out;
    backdrop-filter: blur(6px);

    &--visible {
        opacity: 1;
        visibility: visible;
        transition: all 0.3s ease-in-out;
    }
}

.modal {
    display: none;

    &--visible {
        display: block;
    }
}

.modal-contact {
    width: 100%;
    color: $white;
    text-align: center;
    max-width: 380px;
    min-height: 300px;
    position: relative;
    font-size: size-rel(18px);
    line-height: 140.2%;
    padding-top: 50px;

    &__wrap {
        position: relative;
        background-color: transparent;
        background-image: url("../images/modal__bg.svg");
        background-position: 50% 0;
        background-repeat: no-repeat;
        background-size: cover;
    }

    &__avatar {
        top: -40px;
        left: calc(50% - 60px);
        width: 120px;
        height: 120px;
        overflow: hidden;
        border-radius: 50%;
        position: absolute;
        background-color: #D6D6D6;
        border: 2px solid #D6D6D6;
    }

    &__wrap {
        padding: 130px 15px 60px 15px;
    }

    &__container {
        max-width: 360px;
        margin: 0 auto;
    }

    &__header {
        font-weight: 400;
        font-size: size-rel(28px);
        line-height: 118.69%;
        margin-bottom: 20px;
        font-family: $font-family-secondary;
    }

    &__text {
        margin-bottom: 35px;
    }

    &__title {
        font-weight: 600;
        margin-bottom: 20px;
    }

    &__phones {
        padding: 0;
        margin: 0 0 20px 0;
        list-style: none;

        li {

            &:not(:last-child) {
                margin-bottom: 14px;
            }

            a {
                color: $white;
                text-decoration: none;

                &:hover {
                    color: $white;
                    text-decoration: none;
                }
            }
        }
    }

    &__social {
        margin: 0;
        padding: 20px 0 0 0;
        border-top: 1px solid rgba(255, 255, 255, 0.05);
        list-style: none;
        font-size: 0;
        line-height: 0;
        display: flex;
        align-items: center;
        justify-content: space-evenly;

        li {

            a {
                height: 34px;
                display: inline-block;
            }
        }
    }

    &__close {
        top: 60px;
        right: 20px;
        margin: 0;
        padding: 0;
        width: 24px;
        height: 24px;
        border: none;
        outline: none;
        z-index: 50;
        cursor: pointer;
        position: absolute;
        display: inline-block;
        background: transparent;

        &:after,
        &:before {
            z-index: 20;
            top: calc(50% - 1px);
            left: calc(50% - 12px);
            width: 24px;
            height: 2px;
            content: '';
            background: $white;
            position: absolute;
            display: inline-block;
        }

        &:after {
            transform: rotate(45deg);
        }

        &:before {
            transform: rotate(-45deg);
        }
    }

    @include media-breakpoint-up(md) {
        max-width: inherit;
        width: 460px;
    }

    @include media-breakpoint-up(lg) {}
    @include media-breakpoint-up(xl) {}

    @include media-breakpoint-up(xxl) {
        width: 700px;
        padding-top: 70px;
        font-size: size-rel(24px);

        &__avatar {
            top: -70px;
            width: 160px;
            height: 160px;
            left: calc(50% - 80px);
        }

        &__container {
            max-width: 500px;
        }

        &__header {
            font-size: size-rel(48px);
        }

        &__social {

            li {

                a {
                    height: 60px;
                }
            }
        }

        &__close {
            top: 80px;
        }
    }
}

@include media-breakpoint-up(sm) {}
@include media-breakpoint-up(md) {}
@include media-breakpoint-up(lg) {}
@include media-breakpoint-up(xl) {}
@include media-breakpoint-up(xxl) {}

